Package ru.bitel.bgbilling.kernel.contract.limit.common.bean

# Class ContractSubPanelManage

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractSubPanelManage

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class ContractSubPanelManage
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractSubPanelManage()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.util.Date` | `getDate()` |
  `java.lang.String` | `getUser()` |
  `java.lang.String` | `getValue()` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setUser​(java.lang.String user)` |
  `void` | `setValue​(java.lang.String value)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractSubPanelManage

    public ContractSubPanelManage()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getValue

    public java.lang.String getValue()

  - ### setValue

    public void setValue​(java.lang.String value)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getUser

    public java.lang.String getUser()

  - ### setUser

    public void setUser​(java.lang.String user)